{
  name = "lighttpd";
  nodes = {
    webserver = { config, pkgs, ... }: {
      imports = [ ../nixos-modules/hardware.nix ../nixos-modules/systemd.nix ];
      services.lighttpd.enable = true;
      networking.interfaces.eth1.genode.driver = "virtio";
      networking.interfaces.eth1.genode.stack = "lwip";
      systemd.services.lighttpd.genode.enable = true;
      genode.init.subinits."services.lighttpd".inputs = [ pkgs.lighttpd ];
    };
  };
  testScript = ''
    start_all()
    webserver.wait_until_serial_output("forever")
  '';
}
