let Genode =
      env:DHALL_GENODE sha256:e90438be23b5100003cf018b783986df67bc6d0e3d35e800677d0d9109ff6aa9

let Prelude = Genode.Prelude

let Init = Genode.Init

in  { Genode
    , Type =
        { children : Prelude.Map.Type Text Init.Child.Type
        , rom : Genode.BootModules.Type
        }
    , default.rom = [] : Genode.BootModules.Type
    , initToChildren =
        λ(init : Init.Type) →
          toMap
            { init =
                Init.toChild
                  init
                  Init.Attributes::{
                  , routes =
                    [ Init.ServiceRoute.parentLabel
                        "LOG"
                        (Some "SOTEST")
                        (Some "unlabeled")
                    , Init.ServiceRoute.parent "IO_MEM"
                    , Init.ServiceRoute.parent "IO_PORT"
                    , Init.ServiceRoute.parent "IRQ"
                    , Init.ServiceRoute.parent "VM"
                    ]
                  }
            }
    }
